Package com.tietoenator.trip.jxp.facet

# Class TdbClassificationFacet

java.lang.Object
com.tietoenator.trip.jxp.facet.TdbFacet
com.tietoenator.trip.jxp.facet.TdbFieldTermFacet
com.tietoenator.trip.jxp.facet.TdbClassificationFacet

All Implemented Interfaces:
  `Iterable<TdbFacetValue>`

public class TdbClassificationFacet extends TdbFieldTermFacet
Facet class whose value set is TRIP's automatic classification of records. The source database must have a classification scheme in its definition.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbClassificationFacet(String facetid)`
  Create a facet whose value set is TRIP's automatic classification.
  `TdbClassificationFacet(String facetid, String mask)`
  Create a facet whose value set is TRIP's automatic classification.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setSortOrder(TdbFacetSortOrder sortOrder)`
  Sets the sort order for the values of this facet.

  ### Methods inherited from class com.tietoenator.trip.jxp.facet.TdbFieldTermFacet

  `clear, close, getFetchSize, getMask, getValue, setFetchSize, setMask`

  ### Methods inherited from class com.tietoenator.trip.jxp.facet.TdbFacet

  `getBaselineKey, getBaselineSize, getDatabase, getDefaultTimeout, getFetchFrom, getFetchTo, getLowerFrequencyLimit, getName, getSearchSet, getSortOrder, getTimeout, getUpdateValueCount, getUpperFrequencyLimit, getValueCount, isBaselineAtEnd, isOpenExisting, isRegisterBaseline, isResetBaseline, isUseBaseline, iterator, setBaselineAtEnd, setBaselineKey, setBaselineSize, setDatabase, setDefaultTimeout, setFetchFrom, setFetchTo, setFrequencyLimits, setOpenExisting, setRegisterBaseline, setResetBaseline, setSearchSet, setTimeout, setUseBaseline`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### TdbClassificationFacet

    public TdbClassificationFacet(String facetid) throws TdbException
    Create a facet whose value set is TRIP's automatic classification.
    Parameters:
      `facetid` - Application-assigned unique facet name
    Throws:
      `TdbException` - If invalid arguments were supplied.

  - ### TdbClassificationFacet

    public TdbClassificationFacet(String facetid, String mask) throws TdbException
    Create a facet whose value set is TRIP's automatic classification.
    Parameters:
      `facetid` - Application-assigned unique facet name
      `mask` - Comparison mask to select class names
    Throws:
      `TdbException` - If invalid arguments were supplied.

- ## Method Details

  - ### setSortOrder

    public void setSortOrder(TdbFacetSortOrder sortOrder) throws TdbException
    Description copied from class: `TdbFacet`
    Sets the sort order for the values of this facet.
    Overrides:
      `setSortOrder` in class `TdbFacet`
    Parameters:
      `sortOrder` - Sort order type to use with this facet
    Throws:
      `TdbException` - If the sort order type is not valid for this facet